let
  mkPrefs = prefs: builtins.concatStringsSep 
    "\n"
    (builtins.attrValues
      (builtins.mapAttrs
        (n: v: ''user_pref("${n}", "${v}");'') prefs));
in 
  mkPrefs {
    prefs = {
      "browser.urlbar.suggest.topsites" = false;
    };
  }
